## Class TDataSourceSelectParameters

Description

TDataSourceSelectParameters class

- since: 3.0
- version: $Id: TDataSourceView.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TDataSourceView.php (line 21)

    TComponent
       |
       --TDataSourceSelectParameters

Method Summary
void getMaximumRows ()
void getRetrieveTotalRowCount ()
void getStartRowIndex ()
void getTotalRowCount ()
void setMaximumRows (mixed $value)
void setRetrieveTotalRowCount (mixed $value)
void setStartRowIndex (mixed $value)
void setTotalRowCount (mixed $value)
Methods
getMaximumRows (line 40)

- access: public

void getMaximumRows ()
getRetrieveTotalRowCount (line 52)

- access: public

void getRetrieveTotalRowCount ()
getStartRowIndex (line 28)

- access: public

void getStartRowIndex ()
getTotalRowCount (line 62)

- access: public

void getTotalRowCount ()
setMaximumRows (line 45)

- access: public

void setMaximumRows (mixed $value)
setRetrieveTotalRowCount (line 57)

- access: public

void setRetrieveTotalRowCount (mixed $value)
setStartRowIndex (line 33)

- access: public

void setStartRowIndex (mixed $value)
setTotalRowCount (line 67)

- access: public

void setTotalRowCount (mixed $value)

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:43 -0400 by phpDocumentor 1.3.0RC4